/*
 * generated by Xtext 2.25.0
 */
package org.xtext.example.methodname.ui;

import com.google.inject.Injector;
import org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory;
import org.osgi.framework.Bundle;
import org.osgi.framework.FrameworkUtil;
import org.xtext.example.methodname.ui.internal.MethodnameActivator;

/**
 * This class was generated. Customizations should only happen in a newly
 * introduced subclass. 
 */
public class MethodNameExecutableExtensionFactory extends AbstractGuiceAwareExecutableExtensionFactory {

	@Override
	protected Bundle getBundle() {
		return FrameworkUtil.getBundle(MethodnameActivator.class);
	}
	
	@Override
	protected Injector getInjector() {
		MethodnameActivator activator = MethodnameActivator.getInstance();
		return activator != null ? activator.getInjector(MethodnameActivator.ORG_XTEXT_EXAMPLE_METHODNAME_METHODNAME) : null;
	}

}
